Package docking.widgets.table.constraint

# Class StringEndsWithColumnConstraint

java.lang.Object
docking.widgets.table.constraint.StringColumnConstraint
docking.widgets.table.constraint.StringEndsWithColumnConstraint

All Implemented Interfaces:
  `ColumnConstraint<String>`, `Comparable<ColumnConstraint<String>>`

Direct Known Subclasses:
  `StringNotEndsWithColumnConstraint`

public class StringEndsWithColumnConstraint extends StringColumnConstraint
String column constraint for matching column values if they end with the constraint value pattern.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `matchesPattern`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringEndsWithColumnConstraint(String patternString)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnConstraint<String>`
  `copy(String newPatternString)`
  subclasses must override to generate new versions of themselves but with a new pattern string.
  `protected Pattern`
  `generateMatchesPattern(String patternString)`
  `String`
  `getName()`
  Returns the name of the constraint

  ### Methods inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `accepts, equals, generateFindsPattern, getColumnType, getConstraintValueString, getConstraintValueTooltip, getEditor, getGroup, getHighlightMatcher, getPatternString, hashCode, isValidPatternString, parseConstraintValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.constraint.ColumnConstraint

  `asString, compareTo`

- ## Constructor Details

  - ### StringEndsWithColumnConstraint

    public StringEndsWithColumnConstraint(String patternString)
    Constructor
    Parameters:
      `patternString` - the string to use to create an "ends with" pattern.

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `ColumnConstraint`
    Returns the name of the constraint
    Returns:
      the name of the constraint.

  - ### copy

    public ColumnConstraint<String> copy(String newPatternString)
    Description copied from class: `StringColumnConstraint`
    subclasses must override to generate new versions of themselves but with a new pattern string.
    Specified by:
      `copy` in class `StringColumnConstraint`
    Parameters:
      `newPatternString` - the new string to use for creating the match pattern.
    Returns:
      a new ColumnConstraint that is the same type as this constraint but with a new range defined.

  - ### generateMatchesPattern

    protected Pattern generateMatchesPattern(String patternString)
    Specified by:
      `generateMatchesPattern` in class `StringColumnConstraint`